SalesOS.

Territories

Sales territory management

Territories Controller_find All

GET
/v1/territories

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/territories" \
  -H "Authorization: Bearer <token>"

Territories Controller_create

POST
/v1/territories

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/territories" \
  -H "Authorization: Bearer <token>"

Territories Controller_get Territory Planning Data

GET
/v1/territories/planning

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/territories/planning" \
  -H "Authorization: Bearer <token>"

Territories Controller_simulate What If

POST
/v1/territories/planning/simulate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/territories/planning/simulate" \
  -H "Authorization: Bearer <token>"

Territories Controller_get Stats

GET
/v1/territories/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/territories/stats" \
  -H "Authorization: Bearer <token>"

Territories Controller_find One

GET
/v1/territories/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/territories/<string>" \
  -H "Authorization: Bearer <token>"

Territories Controller_update

PATCH
/v1/territories/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/territories/<string>" \
  -H "Authorization: Bearer <token>"

Territories Controller_delete

DELETE
/v1/territories/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/territories/<string>" \
  -H "Authorization: Bearer <token>"

Territories Controller_get Accounts

GET
/v1/territories/{id}/accounts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/territories/<string>/accounts" \
  -H "Authorization: Bearer <token>"

Territories Controller_assign Accounts

POST
/v1/territories/{id}/accounts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/territories/<string>/accounts" \
  -H "Authorization: Bearer <token>"

Territories Controller_remove Account

DELETE
/v1/territories/{id}/accounts/{accountId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
accountIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/territories/<string>/accounts/<string>" \
  -H "Authorization: Bearer <token>"

Territories Controller_auto Assign Accounts

POST
/v1/territories/{id}/auto-assign

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/territories/<string>/auto-assign" \
  -H "Authorization: Bearer <token>"

Territories Controller_recalculate Performance

POST
/v1/territories/{id}/recalculate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/territories/<string>/recalculate" \
  -H "Authorization: Bearer <token>"

Territories Controller_cleanup Mismatched Accounts

POST
/v1/territories/{id}/cleanup-mismatched

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/territories/<string>/cleanup-mismatched" \
  -H "Authorization: Bearer <token>"